## IAnjutaPrint IAnjutaPrint — Print interface |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-print.h>

    #define             IANJUTA_PRINT_ERROR
                        IAnjutaPrint;
                        IAnjutaPrintIface;
    GQuark              ianjuta_print_error_quark           (void);
    void                ianjuta_print_print                 (IAnjutaPrint *obj,
                                                             GError **err);
    void                ianjuta_print_print_preview         (IAnjutaPrint *obj,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaPrint

## Prerequisites

IAnjutaPrint requires GObject.

## Description

## Details

### IANJUTA_PRINT_ERROR

    #define IANJUTA_PRINT_ERROR ianjuta_print_error_quark()

### IAnjutaPrint

    typedef struct _IAnjutaPrint IAnjutaPrint;

### IAnjutaPrintIface

    typedef struct {
    	GTypeInterface g_iface;

    	void (*print) (IAnjutaPrint *obj, GError **err);
    	void (*print_preview) (IAnjutaPrint *obj, GError **err);
    } IAnjutaPrintIface;

### ianjuta_print_error_quark ()

    GQuark              ianjuta_print_error_quark           (void);

Returns : |

### ianjuta_print_print ()

    void                ianjuta_print_print                 (IAnjutaPrint *obj,
                                                             GError **err);

Show print preview dialog

`obj` : | Self
`err` : | Error propagation and reporting.

### ianjuta_print_print_preview ()

    void                ianjuta_print_print_preview         (IAnjutaPrint *obj,
                                                             GError **err);

`obj` : |
`err` : |